## Assertions with gdk-pixbuf support

Assertions with gdk-pixbuf support — Checks that your program works as you expect with gdk-pixbuf support.

## Functions

void | gdkcut_pixbuf_assert_equal ()

## Description

## Functions

### gdkcut_pixbuf_assert_equal ()

    void
    gdkcut_pixbuf_assert_equal (const GdkPixbuf *expected,
                                const GdkPixbuf *actual,
                                guint threshold,
                                ...);

Passes if `expected` == `actual` . If difference of each corresponding pixel value is within threshold, `expected` and `actual` are treated as equal image.

If threshold is 3, pixel value of `expected` at (1, 1) is 127 and pixel value of `actual` at (1, 1) is 131, `actual` doesn't equals to `expected` . If pixel value of `actual` at (1, 1) is 130, `actual` may equal to `expected` . (All other corresponding pixel values are needed to fill this condition.)

#### Parameters

expected | an expected GdkPixbuf. |
actual | an actual GdkPixbuf. |
threshold | an threshold used for detecting pixel difference. |
... | optional message. See `cut_message()` for details. |

Since: 1.0.5